class Block::Common::Configuration
  attr_accessor :company_name, :copyright_date

  def initialize
    @company_name = "Rails Blocks"
    @copyright_date = "2015-2016"
    @variables = {}
  end

  def method_missing(method_sym, *arguments, &block)
    if method_sym.to_s =~ /^(.*)=$/
      variable_name = method_sym.to_s.gsub('=', '')
      @variables[variable_name.to_sym] = arguments[0]
    else
      return nil unless @variables.has_key? method_sym
      @variables[method_sym]
    end
  end
end
