require "block/common/engine"

module Block
  module Common
    class << self
      attr_writer :config
    end

    def self.config
      @config ||= Configuration.new
    end

    def self.reset
      @config = Configuration.new
    end

    def self.configure
      yield(config)
    end
  end
end
